#!/bin/bash

# 检查是否提供了参数x
if [ $# -eq 0 ]; then
    echo "错误：请提供要执行的循环次数作为参数。"
    exit 1
fi

# 获取输入的循环次数
loop_count=$1

# 检查输入的循环次数是否为数字
if ! [[ $loop_count =~ ^[0-9]+$ ]]; then
    echo "错误：请输入一个正整数作为循环次数。"
    exit 1
fi

# 循环执行hostname命令
for (( i=1; i<=$loop_count; i++ ))
do
    echo "执行第 $i 次："
    ./batchIB-0.4.9.sh --host-x=./host --cmd=ib_write_bw --size=8388608
    echo
done

